"use client";
import React, { useState } from "react";
import LiftSlider from "@/components/Product_page/Left_slider";
import ButtomSlider from "@/components/Product_page/Buttom_slider";
import Image from "next/image";
import { GoDotFill } from "react-icons/go";
import { Rating } from "@mui/material";
import { IoCheckmarkSharp } from "react-icons/io5";
import Link from "next/link";
import Popup from "@/components/Product_page/Popup";
import Additional_info from "@/components/Product_page/Additional_info";
import Description from "@/components/Product_page/Description";
import Review from "@/components/Product_page/Review";
import previewImage from "@/assets/images/property4.png";
export default function Product() {
  const [checkedItems, setCheckedItems] = useState({
    secureTransaction: false,
    propertyInsurance: false,
    contentInsurance: false,
  });
  const [previewMedia, setPreviewMedia] = useState(previewImage);
  const [showSecureTransaction, setShowSecureTransaction] = useState(false);
  const [showPropertyInsurance, setShowPropertyInsurance] = useState(false);
  const [showContentInsurance, setShowContentInsurance] = useState(false);

  const [openDiscription, setOpenDiscription] = useState(false);
  const [openReview, setOpenReview] = useState(false);
  const [openAdditional_info, setOpenAdditional_info] = useState(true);

  const items = [
    ["Parking/Garage", "Fireplace", "Swimming Pool", "Washer"],
    ["Sui Gas", "Water supply", "Barbeque", "Outdoor Shower"],
    ["Garden", "Air Conditioning", "Microwave", "Window Coverings"],
    ["Porter/security", "Lawn", "TV Cable", "Electricity"],
  ];

  const handleCheckboxChange = (event) => {
    const { name, checked } = event.target;
    setCheckedItems({
      ...checkedItems,
      [name]: checked,
    });
  };

  const handleOpenValues = (value) => {
    if (value === "Description") {
      setOpenAdditional_info(false);
      setOpenReview(false);
      setOpenDiscription(true);
    } else if (value === "Reviews") {
      setOpenDiscription(false);
      setOpenAdditional_info(false);
      setOpenReview(true);
    } else if (value === "Additional") {
      setOpenDiscription(false);
      setOpenReview(false);
      setOpenAdditional_info(true);
    }
  };

  return (
    <div className="w-full pb-8">
      <div className="w-full valuesBg flex py-24 md:px-20 flex-col">
        <div className="container mx-auto">
          <h1 className="heading text-white text-6xl font-semibold">
            Products
          </h1>
          <p className="text-2xl text-white mt-2">
            <span className="text-[#9b9b9b7c]">Home / Product /</span>{" "}
            Properties
          </p>
        </div>
      </div>
      <div className="container flex flex-col justify-center items-center mx-auto">
        <div className="flex flex-col justify-center">
          <div className="flex flex-row justify-center items-start">
            <div className="w-1/6">
              <LiftSlider setPreviewMedia={setPreviewMedia} />
            </div>
            <section className=" ">
              <div className="py-16 mx-auto">
                <div className="lg:w-[98%] ml-auto flex flex-wrap">
                  <Image
                    alt="ecommerce"
                    quality={100}
                    height={580}
                    width={580}
                    className="h-[580px] w-[580px] object-cover rounded-lg"
                    src={previewMedia}
                  />
                  <div className="lg:w-1/2 w-full lg:pl-10 lg:py-6 mt-6 lg:mt-0 relative">
                    <h1 className="text-gray-900 text-blue text-3xl title-font font-semibold mb-1">
                      Lease Properties
                    </h1>
                    <h2 className="text-sm text-black tracking-wide">
                      Availability: In Stock
                    </h2>
                    <div className="flex mb-2">
                      <span className="flex items-center">
                        <Rating
                          className="text-base"
                          name="half-rating-read"
                          defaultValue={2.5}
                          precision={0.5}
                          readOnly
                        />
                        <span className="text-gray-600 ml-3">4 Reviews</span>
                      </span>
                    </div>
                    <p className="leading-relaxed text-black">
                      Sometimes referred the placeholder text used in design
                      when creating content. It helps designers plan out where
                      the content sit without needing to wait for the content to
                      be written and approved.
                    </p>
                    <div className="mt-3">
                      <h2 className="text-lg font-medium mb-2">Details</h2>
                      <div className="flex items-center p-2 shadow rounded mb-2 space-x-5">
                        <span className="flex flex-row items-center text-sm">
                          <GoDotFill className="flex mr-2 text-gold-800" />{" "}
                          Bedrooms: 04
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          <GoDotFill className="flex mr-2 text-gold-800" />{" "}
                          Bathrooms : 03
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          <GoDotFill className="flex mr-2 text-gold-800" />{" "}
                          Garage : 01
                        </span>
                        <span className="flex flex-row items-center text-sm">
                          <GoDotFill className="flex mr-2 text-gold-800" /> SqFt
                          : 1000
                        </span>
                      </div>
                      <h2 className="text-lg font-medium mt-5">
                        Lease Number of Cheques
                      </h2>
                      <div className="flex items-center justify-between my-2 space-x-2">
                        <span className="shadow p-2 px-13">1 Cheque</span>
                        <span className="title-font font-medium text-2xl text-blue">
                          $58.00
                        </span>
                      </div>
                    </div>
                    <div className="absolute bottom-0 flex flex-col w-full">
                      <div className="flex space-x-5 items-center w-[80%] mt-5">
                        <button className="flex text-white font-semibold justify-center btn-gradient border-0 py-2 flex-grow focus:outline-none hover:bg-indigo-600 rounded">
                          Book Asset
                        </button>
                        <div className="flex flex-row space-x-3">
                          <span className="bg-offwhite p-2 rounded-md cursor-pointer">
                            <Image
                              src="/icons/heart.svg"
                              alt="Description of your image"
                              width={10}
                              height={10}
                              quality={90}
                              className="w-full"
                            />
                          </span>
                          <span className="bg-offwhite p-2 rounded-md cursor-pointer">
                            <Image
                              src="/icons/email.svg"
                              alt="Description of your image"
                              width={10}
                              height={10}
                              quality={90}
                              className="w-full"
                            />
                          </span>
                        </div>
                      </div>
                      <div className="flex flex-col mt-5 font-medium space-y-5  ">
                        <span>Ref: 12390876</span>
                        <div className="flex flex-row space-x-4 items-center">
                          <span>Share:</span>
                          <Link href="#" className="w-6 h-6">
                            <Image
                              src="/icons/facebook.svg"
                              alt="Description of your image"
                              width={300}
                              height={300}
                              quality={90}
                              className="w-full"
                            />
                          </Link>
                          <Link href="#" className="w-6 h-6">
                            <Image
                              src="/icons/instagram.svg"
                              alt="Description of your image"
                              width={300}
                              height={300}
                              quality={90}
                              className="w-full"
                            />
                          </Link>
                          <Link href="#" className="linkedin-width h-6">
                            <Image
                              src="/icons/linkedin.svg"
                              alt="Description of your image"
                              width={300}
                              height={300}
                              quality={90}
                              className="w-full"
                            />
                          </Link>
                          <Link href="#" className="twitter-width h-6">
                            <Image
                              src="/icons/twitter.svg"
                              alt="Description of your image"
                              width={300}
                              height={300}
                              quality={90}
                              className="w-full"
                            />
                          </Link>
                          <Link href="#" className="w-6 h-6">
                            <Image
                              src="/icons/tiktok.svg"
                              alt="Description of your image"
                              width={300}
                              height={300}
                              quality={90}
                              className="w-full"
                            />
                          </Link>
                        </div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </section>
          </div>
          <div className="grid grid-cols-1 md:grid-cols-3 gap-4 text-base justify-center shadow p-3 mb-4">
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="secureTransaction"
                name="secureTransaction"
                onChange={handleCheckboxChange}
                className="accent-gold-400"
              />
              <label htmlFor="secureTransaction">Secure My Transaction</label>
              <div className="w-6 h-6 group relative cursor-pointer">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90}
                  className="w-full"
                />
                <div className="bg-white hidden group-hover:flex absolute top-7 w-[480px] -left-50 transform flex-col items-center justify-center rounded-l-3xl rounded-b-3xl p-5 rounded shadow-lg">
                  <h1 className="text-gold-400 text-center font-medium text-xl">
                    Secure My Transaction
                  </h1>
                  <p className="text-sm text-center text-gray-700 font-normal py-2">
                    For a small fee, enhance the security of your transaction
                    with our added protection feature, providing peace of mind
                    throughout your purchase process
                  </p>
                </div>
              </div>
            </div>
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="propertyInsurance"
                name="propertyInsurance"
                checked={checkedItems.propertyInsurance}
                onChange={handleCheckboxChange}
                className="mr-2 accent-gold-400"
              />
              <label htmlFor="propertyInsurance">Property Insurance</label>
              <div className="w-6 h-6 group relative cursor-pointer">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90}
                  className="w-full"
                />
                <div className="hidden group-hover:flex absolute top-7 w-[480px] -left-50 transform flex-col items-center justify-center rounded-l-3xl rounded-b-3xl bg-white p-5 rounded shadow-lg">
                  <h1 className="text-gold-400 text-center font-medium text-xl">
                    Property Insurance
                  </h1>
                  <p className="text-sm text-center text-gray-700 font-normal py-2">
                    Safeguard your asset against unforeseen events or damage
                    post-purchase, providing financial protection for your
                    property.
                  </p>
                </div>
              </div>
            </div>
            <div className="flex flex-row items-center justify-center space-x-3">
              <input
                type="checkbox"
                id="contentInsurance"
                name="contentInsurance"
                checked={checkedItems.contentInsurance}
                onChange={handleCheckboxChange}
                className="mr-2 accent-gold-400"
              />
              <label htmlFor="contentInsurance">Content Insurance</label>
              <div className="w-6 h-6 group relative cursor-pointer">
                <Image
                  src="/product/exclamation-mark.svg"
                  alt="Description of your image"
                  width={300}
                  height={300}
                  quality={90}
                  className="w-full"
                />
                <div className="hidden group-hover:flex absolute top-7 w-[480px] -left-50 transform flex-col items-center justify-center rounded-l-3xl rounded-b-3xl bg-white p-5 rounded shadow-lg">
                  <h1 className="text-gold-400 text-center font-medium text-xl">
                    Content Insurance
                  </h1>
                  <p className="text-sm text-center text-gray-700 font-normal py-2">
                    Protect the contents within your property, car, or boat
                    against damage, theft, or loss.
                  </p>
                </div>
              </div>
            </div>
          </div>
          <div className="py-3"></div>
          <div className="shadow bg-white rounded-t-md">
            <div className="mb-2 shadow inline-block">
              <button
                className={`text-sm font-medium px-8 py-3 ${
                  openDiscription === true ? "btn-gradient rounded" : ""
                }`}
                onClick={() => {
                  handleOpenValues("Description");
                }}
              >
                DESCRIPTION
              </button>
              <button
                className={`text-sm font-medium px-8 py-3 ${
                  openAdditional_info === true ? "btn-gradient rounded" : ""
                }`}
                onClick={() => {
                  handleOpenValues("Additional");
                }}
              >
                ADDITIONAL INFORMATION
              </button>
              <button
                className={`text-sm font-medium px-8 py-3 ${
                  openReview === true ? "btn-gradient rounded" : ""
                }`}
                onClick={() => {
                  handleOpenValues("Reviews");
                }}
              >
                REVIEWS
              </button>
            </div>

            {openAdditional_info && (
              <div className="grid justify-between grid-cols-4 gap-6 rounded-lg">
                {items.map((row, rowIndex) => (
                  <div
                    key={rowIndex}
                    className={`bg-white p-4 ${
                      rowIndex === 0
                        ? "rounded-bl-lg"
                        : rowIndex === items.length - 1
                        ? "rounded-br-lg"
                        : ""
                    }`}
                  >
                    {row.map((item, columnIndex) => (
                      <div key={columnIndex} className="text-base font-normal">
                        <div className="flex flex-row flex-wrap items-center p-2 space-x-2">
                          <IoCheckmarkSharp className="mr-4" /> {item}
                        </div>
                      </div>
                    ))}
                  </div>
                ))}
              </div>
            )}

            {openDiscription && (
              <div>
                <Description />
              </div>
            )}
            {openReview && (
              <div>
                <Review />
              </div>
            )}
          </div>
        </div>
      </div>

      <div>
        <div className="container mx-auto mt-8">
          <h1 className="text-2xl mb-6 font-semibold text-left text-blue ">
            Related Properties
          </h1>
        </div>
        <ButtomSlider />
      </div>
      <div></div>
    </div>
  );
}
